Bug 12973 - smbd uses a lot of CPU on startup of a connection
smbd uses a lot of CPU on startup of a connection
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.7.0rc4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-17 20:28 UTC by Stefan Metzmacher
Modified: 2017-08-30 07:16 UTC (History)
5 users (show)

See Also:


Attachments
Patches for v4-7-test (12.69 KB, patch)
2017-08-23 06:06 UTC, Stefan Metzmacher
metze: review? (abartlet)
asn: review+
Details
Patches for v4-6-test (12.69 KB, patch)
2017-08-23 06:07 UTC, Stefan Metzmacher
metze: review? (abartlet)
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2017-08-17 20:28:48 UTC
We constantly recalculate all possible kerberos keys to form an
in memory keytab.

As we now store precalculated keys in secrets.tdb, see
https://git.samba.org/?p=samba.git;a=commitdiff;h=5f0038fba612afd7fc15b7ab321df979891170d8
we can use them to avoid waste so much CPU cycles.
Comment 1 Stefan Metzmacher 2017-08-23 06:06:43 UTC
Created attachment 13491 [details]
Patches for v4-7-test
Comment 2 Stefan Metzmacher 2017-08-23 06:07:48 UTC
Created attachment 13492 [details]
Patches for v4-6-test
Comment 3 Andreas Schneider 2017-08-24 05:59:15 UTC
Karolin, please add the patches to the relevant branches. Thanks!
Comment 4 Karolin Seeger 2017-08-28 08:40:59 UTC
Pushed to autobuild-v4-{7,6}-test.
Comment 5 Karolin Seeger 2017-08-30 07:16:28 UTC
Pushed to both branches.
Closing out bug report.

Thanks!